View Issue Details

This bug affects 2 person(s).
 18
IDProjectCategoryView StatusLast Update
17507Bug reportsComfortUpdatepublic2021-08-17 09:55
ReporterGuernseyResearch Assigned Toc_schmitz  
PrioritynoneSeveritycrash 
Status closedResolutionfixed 
Product Version3.25.19 
Summary17507: Update with comfortupdate causes system to crash
Description500 error after a regular update
Steps To ReproduceRecent version of LS3 - received message that update was available
Comfortupdate reported it needed to be updated - allowed that to happen
Ran update to completion
Upon restart received a 500 error when attempting to log in - (see attached)
An attempt to take survey gave a different 500 error (attached)
Additional InformationRestored the files to 3.27.9 for the GitHub repository and the database from our backup to become operational.
Will not attempt to update until we have assurances that the update will work.

Key item might be that the update changed the applicaion/config/version.php to show the version was 5.0.14 when it was a version 3 installation. I have attached that file.
TagsNo tags attached.
Bug heat18
Complete LimeSurvey version number (& build)3.27.10
I will donate to the project if issue is resolvedNo
Browser
Database type & version mysqlnd 5.0.12-dev
Server OS (if known)
Webserver software & version (if known)
PHP VersionPHP Version 7.3.29

Users monitoring this issue

User List duvemyster, ollehar

Activities

GuernseyResearch

GuernseyResearch

2021-08-12 06:48

reporter  

version.php (757 bytes)   
<?php
/*
 * LimeSurvey
 * Copyright (C) 2007-2020 The LimeSurvey Project Team / Carsten Schmitz
 * All rights reserved.
 * License: GNU/GPL License v3 or later, see LICENSE.php
 * LimeSurvey is free software. This version may have been modified pursuant
 * to the GNU General Public License, and as distributed it includes or
 * is derivative of works licensed under the GNU General Public License or
 * other free or open source software licenses.
 * See COPYRIGHT.php for copyright notices and details.
 */

$config['versionnumber'] = '5.0.14';
$config['dbversionnumber'] = 470;
$config['buildnumber'] = 210811;
$config['updatable'] = true;
$config['templateapiversion']  = 3;
$config['assetsversionnumber'] = '30222';
return $config;
version.php (757 bytes)   
c_schmitz

c_schmitz

2021-08-12 08:29

administrator   ~65907

Hello, there seems to be no attachments, and we cannot reproduce the issue.
Can you please attach the files? Thank you.
ollehar

ollehar

2021-08-12 15:13

administrator   ~65924

Screenshot of the error would be nice.
duvemyster

duvemyster

2021-08-12 15:58

reporter   ~65927

The error that I ran into on a similar comfort update yesterday twice from 3.27.10+210803 to 5.1.0+210811 (restored, then tried again, then restored) was as follows:

500: Internal Server Error
Wrong parameters for CException([string $message [, long $code [, Throwable $previous = NULL]]])

However, I also had previously run the comfort update cleanly on the same server from 3.27.10+210809 to 5.1.0+210811. (Dev->Stage->Live, or in this case it's Stage->Live). Anyway, the differences I had identified were:
1. My successful updated stared from Version 3.27.11+210809 and the other one started from 3.27.10+210803. (There wasn't an option available at the time of the path to 5.1.0+210811 to first walk 3.27.10+210803 up to 210809.)
2. The database size of my successful update wasn't a replica of production data and is smaller.
3. There are some cached files in the tmp directory of the update that didn't go well (from recent zip archive exports), but that seems quite unlikely.
4. There could have been others, but the 3 above were the first things that I was headed to rule out this morning. However, comfort update changed overnight, perhaps coinciding with the 5.1.1 release.

See:
* https://forums.limesurvey.org/forum/installation-a-update-issues/125092-server-error-when-upgrading-from-5-0-8-to-5-0-12
* https://bugs.limesurvey.org/view.php?id=17505
GuernseyResearch

GuernseyResearch

2021-08-12 15:59

reporter   ~65928

version.php attached above.
Two error reports attached here: one when admin login, the other when attempting to take the survey
Take survey error.jpg (43,594 bytes)   
Take survey error.jpg (43,594 bytes)   
Login error.jpg (39,509 bytes)   
Login error.jpg (39,509 bytes)   
GuernseyResearch

GuernseyResearch

2021-08-12 17:06

reporter   ~65932

I see that a new version was released for LS5. This problem was with LS3.
GuernseyResearch

GuernseyResearch

2021-08-12 17:19

reporter   ~65934

I think I see the problem. This is a LS version 3.27
but Comfortupdate is trying to update it to LS 5.1.1
See the circled items in the attached screenshot.
Update problem.jpg (124,823 bytes)
ollehar

ollehar

2021-08-12 17:29

administrator   ~65935

LimeSurvey 3 has still long-term support, but it's safe to update to 5.1.1 too, if you want access to new encryption functionality and question themes.
GuernseyResearch

GuernseyResearch

2021-08-12 17:32

reporter   ~65936

We are already running LS 5 for our newer stuff. This is an older survey that still needs to be operational for a few more months.
ollehar

ollehar

2021-08-12 17:33

administrator   ~65937

OK, I see. I'll keep this issue open for now if @duvemyster has anything else to report.
duvemyster

duvemyster

2021-08-12 18:27

reporter   ~65940

I just ran an update from 3.27.10+210809 to 5.1.1+210812 on a test installation with a duplicate of the db from where I had run into the 500 error. This time I receive the following different error report upon running the db update:

"An non-recoverable error happened during the update.
Error details: Configuration file already exist
File LSSodiumOld.php, line 25.
Please fix this error in your database and try again"

I also noted that the changelog included "Fixed issue: Error while upgrading the database"

Sidenote: The changelog report begins with "Because you are updating from a stable to an unstable version or vice versa ...". but the update was from a stable version to a stable version. Perhaps it is meant to reference the upgrade from stable 3.27.10 to stable 5.1.1.
ollehar

ollehar

2021-08-12 18:36

administrator   ~65942

@duvemyster OK, you're the second user with this exact problem. We're debugging it now.

> I also noted that the changelog included "Fixed issue: Error while upgrading the database"

We've applied several fixes. So far, we did not see the problem with the configuration file error locally.

Can you inspect the file application/config/security.php and look for "encryptionkeypair" anywhere? Don't paste any values here, they are secret.
duvemyster

duvemyster

2021-08-12 18:43

reporter   ~65943

@ollehar, I do not find the text "encryptionkeypair" anywhere in security.php , just "encryptionnonce" and "encryptionsecretboxkey"
ollehar

ollehar

2021-08-12 18:47

administrator   ~65944

@duvemyster Thank you very much. We've discovered the issue and will push a fix soon. Our internal testing routines failed here, I'm afraid (tested by 4 people internally, but still).
duvemyster

duvemyster

2021-08-12 18:53

reporter   ~65945

I totally understand! I ran that update in a test environment on purpose.

The team does a masterful job. Not only is comfort update convenient, but it makes backing first super easy. And restoring every now and then is good thing to stay sharp on!
ollehar

ollehar

2021-08-12 19:37

administrator   ~65948

@duvemyster OK, we've released 5.1.2 with a fix for this. Please test and report any other issues. Thank you!
ollehar

ollehar

2021-08-12 19:54

administrator   ~65951

Actually, might still be a bug in that version related to encryption of emailsmtppassword. We'll release a fix tomorrow.
duvemyster

duvemyster

2021-08-12 21:15

reporter   ~65953

After restoring the same test environment last referred to above, comfort update ran beautifully there from 3.27.10+210809 to 5.1.2+210813, including the db update from version 365 to version 470, without any errors reported onscreen. A subsequent test survey invitation send via smtp also went smoothly. SMTP settings were configured prior prior to the update and were not touched after the update.
ollehar

ollehar

2021-08-13 10:15

administrator   ~65958

Glad to hear it. :)

Any update from you, @GuernseyResearch ? Or can we close the ticket?
GuernseyResearch

GuernseyResearch

2021-08-13 15:13

reporter   ~65961

The Comfortupdate still tells me it will update my LimeSurvey three to five as seen in the graphic above. I currently do not have a LS3 test environment and will not run this on my production system.
ollehar

ollehar

2021-08-13 15:17

administrator   ~65963

That's correct, we support updating from 3 to 5 now.

Sounds good! Will close this for now.
GuernseyResearch

GuernseyResearch

2021-08-13 15:25

reporter   ~65966

I am glad you SUPPORT updating to 5. We are using 5 for all our new stuff and suffered through all the betas of 4. However, this survey in 3 still has about three months until we can turn it off. I do not want to test an upgrade in my production (especially after this week). Does this mean you have abandoned all support for LS3? Should I just plan to hold at this point until I kill this survey?
ollehar

ollehar

2021-08-13 15:35

administrator   ~65967

We plan to support general bug fixes for LS3 all of 2021. Next year we will probably focus only on security fixes for LS3 while moving forward with LS5.

Sorry for LS4, it was a premature release. We try to implement much better internal testing routines now (despite that 5.1.0 had some issues - hard to catch them all!).
GuernseyResearch

GuernseyResearch

2021-08-13 16:36

reporter   ~65969

For those people holding at LS three how do they get those bug fixes (easily) without using Comfortupdate? We hope to be off three within 2-3 months.
ollehar

ollehar

2021-08-13 16:38

administrator   ~65970

Without ComfortUpdate? Any way they want. :) They're not our customers. The product is open-source, but not the support. ;)
c_schmitz

c_schmitz

2021-08-13 16:40

administrator   ~65971

@GuernseyResearch: Your next try to update from 3 to 5 should be working. The ComfortUpdate in LS3 updates itself before updating LimeSurvey.
ollehar

ollehar

2021-08-13 16:44

administrator   ~65972

Maybe I misunderstood. LS3 will be supported by ComfortUpdate at least until 2022.
GuernseyResearch

GuernseyResearch

2021-08-13 16:48

reporter   ~65973

Thank you -
Those of us who pay for support, submit bug reports, and suffered through LS4, appreciate the ease of a (working) Comfortupdate.
duvemyster

duvemyster

2021-08-13 16:58

reporter   ~65974

Does comfort update plan to continue offering the option of updating LS3 to the latest stable LS3 releases? Currently the only comfort update option for LS3 installations that are not at the latest LS3 release is to jump to LS5, stay where they are on LS3, or update LS3 manually.
duvemyster

duvemyster

2021-08-13 17:00

reporter   ~65975

I'm sorry. I see that is now updated. I just refreshed and the LS3 update path is also present. My previous post just now is incorrect.
duvemyster

duvemyster

2021-08-13 17:03

reporter   ~65977

3.27.11 (210809) is now listed as unstable. Is that now the case?
c_schmitz

c_schmitz

2021-08-13 17:08

administrator   ~65978

Please ignore the 'unstable' word. That will be corrected with the next 3.x release. It is still stable, ofc.
duvemyster

duvemyster

2021-08-13 17:59

reporter   ~65980

Thank you @c_schmitz !

Issue History

Date Modified Username Field Change
2021-08-12 06:48 GuernseyResearch New Issue
2021-08-12 06:48 GuernseyResearch File Added: version.php
2021-08-12 07:00 guest Bug heat 0 => 6
2021-08-12 08:29 c_schmitz Assigned To => c_schmitz
2021-08-12 08:29 c_schmitz Status new => feedback
2021-08-12 08:29 c_schmitz Note Added: 65907
2021-08-12 08:29 c_schmitz Bug heat 6 => 8
2021-08-12 09:32 ollehar Issue Monitored: ollehar
2021-08-12 09:32 ollehar Bug heat 8 => 10
2021-08-12 15:13 ollehar Note Added: 65924
2021-08-12 15:13 ollehar Bug heat 10 => 12
2021-08-12 15:58 duvemyster Note Added: 65927
2021-08-12 15:58 duvemyster Bug heat 12 => 14
2021-08-12 15:59 GuernseyResearch Note Added: 65928
2021-08-12 15:59 GuernseyResearch File Added: Take survey error.jpg
2021-08-12 15:59 GuernseyResearch File Added: Login error.jpg
2021-08-12 15:59 GuernseyResearch Bug heat 14 => 16
2021-08-12 15:59 GuernseyResearch Status feedback => assigned
2021-08-12 16:04 duvemyster Issue Monitored: duvemyster
2021-08-12 16:04 duvemyster Bug heat 16 => 18
2021-08-12 17:06 GuernseyResearch Note Added: 65932
2021-08-12 17:19 GuernseyResearch Note Added: 65934
2021-08-12 17:19 GuernseyResearch File Added: Update problem.jpg
2021-08-12 17:29 ollehar Note Added: 65935
2021-08-12 17:32 GuernseyResearch Note Added: 65936
2021-08-12 17:33 ollehar Note Added: 65937
2021-08-12 18:27 duvemyster Note Added: 65940
2021-08-12 18:36 ollehar Note Added: 65942
2021-08-12 18:43 duvemyster Note Added: 65943
2021-08-12 18:47 ollehar Note Added: 65944
2021-08-12 18:53 duvemyster Note Added: 65945
2021-08-12 19:37 ollehar Note Added: 65948
2021-08-12 19:54 ollehar Note Added: 65951
2021-08-12 21:15 duvemyster Note Added: 65953
2021-08-13 10:15 ollehar Note Added: 65958
2021-08-13 10:49 ollehar Status assigned => feedback
2021-08-13 15:13 GuernseyResearch Note Added: 65961
2021-08-13 15:13 GuernseyResearch Status feedback => assigned
2021-08-13 15:17 ollehar Note Added: 65963
2021-08-13 15:18 ollehar Status assigned => resolved
2021-08-13 15:18 ollehar Resolution open => fixed
2021-08-13 15:25 GuernseyResearch Note Added: 65966
2021-08-13 15:35 ollehar Note Added: 65967
2021-08-13 16:36 GuernseyResearch Note Added: 65969
2021-08-13 16:38 ollehar Note Added: 65970
2021-08-13 16:40 c_schmitz Note Added: 65971
2021-08-13 16:44 ollehar Note Added: 65972
2021-08-13 16:48 GuernseyResearch Note Added: 65973
2021-08-13 16:58 duvemyster Note Added: 65974
2021-08-13 17:00 duvemyster Note Added: 65975
2021-08-13 17:03 duvemyster Note Added: 65977
2021-08-13 17:08 c_schmitz Note Added: 65978
2021-08-13 17:59 duvemyster Note Added: 65980
2021-08-17 09:55 c_schmitz Status resolved => closed